During migration, hamburger menu goes directly to about:accounts instead of to Sync Prefs
Created attachment 8543217
0006-Bug-XXXXXXX-all-sync-migration-states-in-the-hamburg.patch

Currently, when in a "need user" state, clicking the hamburger menu takes us directly to about:accounts.  However, the UX flow (https://www.dropbox.com/s/qvhgcv2u9tdltpn/Sync%20Urgent%20Upgrade.pdf) dictates it should go to Sync Prefs.  The attached patch fixes that.